body {
    font-family: Poppins;
}
button {
    display: flex;
    flex-wrap: wrap;
    padding: 14px 24px;
    align-items: flex-start;
    color: #FFF;
    height: 48px;
    align-content: center;
    justify-content: center;
    border: none;
    gap: 10px;
    border-radius: 6px;
    background: #EF5B2D;
    width: 45% !important;
}
button.button-secondary{
    background: #FFFFFF !important;
    color: #EF5B2D !important;
    border: #EF5B2D !important;
    border-width: 1px !important;
    border-style: solid !important;
}
#marketing-text {
    font-size: 1.0em;
    font-weight: 500;
    /* color: #fff; */
    text-align: center;
    margin-right: 2rem;
    margin-left: 2rem;
    margin-bottom: 2rem;
}

div.background-blue-gradient {
    background: linear-gradient(136deg, #002C9B 0%, rgba(46, 77, 155, 0.51) 100%);
}
.signup-text {
    align-self: center;
    justify-self: center;
    font-size: 0.75em;
    display: inline;
}
div#emailId-display {
    width: 400px;
    height: 48px;
    flex-shrink: 0;
    border-radius: 6px;
    background: #F9F8F8;
    p {
            color: #464E5F;
            text-align: center;
            font-size: 16px;
            font-style: normal;
            font-weight: 500;
            line-height: normal;
            letter-spacing: -0.32px;
        }
    }

.signup-link {
    color: blue;
    text-decoration: underline;
    cursor: pointer;
}
input#email-address, input#signin-password, input#newPassword, input#confirm-newPassword {
    width: 400px;
    height: 48px;
    flex-shrink: 0;
    border-radius: 6px;
    border: 1px solid #B4B6C6;
    background: #FFF;
}
div.password{
    input {
        width: 360px !important;
        height: 48px;
        flex-shrink: 0;
        border-radius: 6px;
        border: 1px solid #B4B6C6;
        background: #FFF;
    }
    position: relative;
    display: flex;
}
.semi-circle-container {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    height: 30vh;
    position: relative;
}

.svg-container {
    opacity: 0;
    transform: translateY(50px);
    animation: fadeInAndSlideUp 1s forwards;
    position: absolute;
    bottom: 0;
}

.svg-container:nth-child(1) {
    left: 0%;
    transform: translateX(-50%);
    animation-delay: 0.2s;
}

.svg-container:nth-child(2) {
    left: 25%;
    bottom: 30%;
    transform: translateX(-50%);
    animation-delay: 0.4s;
}

.svg-container:nth-child(3) {
    right: 25%;
    bottom: 30%;
    transform: translateX(-50%);
    animation-delay: 0.6s;
}

.svg-container:nth-child(4) {
    right: 0%;
    bottom: 0%;
    transform: translateX(-50%);
    animation-delay: 0.8s;
}

.svg-container:nth-child(5) {
    bottom: 0%;
    transform: translateX(-50%);
}

@keyframes fadeInAndSlideUp {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@media (max-width: 768px) {
    .semi-circle-container {
        height: 40vh;
        /* Adjust the height to fit your needs */
        justify-content: space-between;
    }

    .svg-container {
        transform: translateY(30px);
        /* Adjust the start position for smaller screens */
    }

    .svg-container:nth-child(1) {
        left: 0%;
        animation-delay: 0.2s;
        transform: translate(0, 50);
    }

    .svg-container:nth-child(2) {
        left: 0%;
        bottom: 50%;
        animation-delay: 0.4s;
        transform: translate(50, 50);
    }

    .svg-container:nth-child(3) {
        right: 0%;
        bottom: 50%;
        animation-delay: 0.6s;
        transform: translate(0, 100);
    }

    .svg-container:nth-child(4) {
        right: 0%;
        animation-delay: 0.8s;
        transform: translate();
    }

    .svg-container:nth-child(5) {
        display: none;
    }
}
@media (max-width:1300px) {
    button{
        font-size: 14px !important;
    }
}
.loader-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 999; /* Set z-index to ensure overlay appears on top of content */
  }

.forgot-password-link {
    cursor: pointer;
}
.toggle-password-icon {
    position: relative;
    right: 13%;
    align-self: center;
    color: #EF5B2D;
    /* transform: translateY(-50%); */
    cursor: pointer;
}
.disabled{
    cursor: not-allowed;
    color: #464E5F;
}
.strength-bar {
    width: 0;
    height: 10px;
    background-color: #ccc;
    margin-top: 5px;
    transition: width 0.3s;
    border-radius: 5px;
}

.maintenance-banner {
    background-color: #ffcc00;
    padding: 10px;
    border-bottom: 2px solid #e5e5e5;
}
